GET/api/v2/banking/payouts/{payoutId}

Get a payout transaction by ID for the authenticated user or API-key selected user.

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
payoutId (path)integer (int32)Yes
userId (query)unknownNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
IdunknownNo
ExternalIdstringNo
ClientTransactionIdstringNo
BusinessIdstringNo
BusinessTypeCodeunknownNo
BalanceIdstringNo
PayeeIdunknownNo
FromAmountstringNo
FromCurrencystringNo
ToAmountstringNo
ToCurrencystringNo
StatusstringNo
MessagestringNo
RefundobjectNo
CreatedAtstring (date-time)No
UpdatedAtstring (date-time)No
Feesarray of PayoutFeeDtoNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

500 — Internal Server Error

Response 500 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X GET "https://{base_url}/api/v2/banking/payouts/{payoutId}" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.